/*
   +----------------------------------------------------------------------+
   | PHP Version 5                                                        |
   +----------------------------------------------------------------------+
   | Copyright (c) 1997-2007 The PHP Group                                |
   +----------------------------------------------------------------------+
   | This source file is subject to version 3.01 of the PHP license,      |
   | that is bundled with this package in the file LICENSE, and is        |
   | available through the world-wide-web at the following url:           |
   | http://www.php.net/license/3_01.txt                                  |
   | If you did not receive a copy of the PHP license and are unable to   |
   | obtain it through the world-wide-web, please send a note to          |
   | license@php.net so we can mail you a copy immediately.               |
   +----------------------------------------------------------------------+
   | Author: Olivier Hill <ohill@php.net>                                 |
   +----------------------------------------------------------------------+
*/
#ifndef DOUBLE_METAPHONE__H
#define DOUBLE_METAPHONE__H

#ifdef PHP_WIN32
#define PHP_DOUBLEMETAPHONE_API __declspec(dllexport)
#else
#define PHP_DOUBLEMETAPHONE_API
#endif

#ifdef ZTS
#include "TSRM.h"
#endif

#ifndef TRUE
#define TRUE 1
#endif

typedef struct
{
    char *str;
    int length;
    int bufsize;
    int free_string_on_destroy;
}
metastring;      

static void DoubleMetaphone(char *str, char **codes);

extern zend_module_entry doublemetaphone_module_entry;
#define phpext_doublemetaphone_ptr &doublemetaphone_module_entry

#define PHP_DOUBLEMETAPHONE_VERSION "1.0.1"

PHP_MINFO_FUNCTION(doublemetaphone);
PHP_FUNCTION(double_metaphone);

#ifdef ZTS
#define DOUBLEMETAPHONE_G(v) TSRMG(doublemetaphone_globals_id, zend_doublemetaphone_globals *, v)
#else
#define DOUBLEMETAPHONE_G(v) (doublemetaphone_globals.v)
#endif

#endif /* DOUBLE_METAPHONE__H */

/*
 * Local variables:
 * tab-width: 4
 * c-basic-offset: 4
 * indent-tabs-mode: t
 * End:
 */
